---
title: Node.isSupported()
slug: Web/API/Node/isSupported
tags:
  - API
  - DOM
  - Method
  - NeedsBrowserCompatibility
  - NeedsMobileBrowserCompatibility
  - Node
  - Obsolete
  - Reference
---
<div>{{APIRef("DOM")}}{{obsolete_header}}</div>

<p>The <code><strong>Node.isSupported()</strong></code>returns a {{domxref("Boolean")}} flag containing the result of a test whether the DOM implementation implements a specific feature and this feature is supported by the specific node.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>boolValue</em> = <em>element</em>.isSupported(<em>feature</em>, <em>version</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>feature</em></dt>
 <dd>Is a {{domxref("DOMString")}} containing the name of the feature to test. This is the same name which can be passed to the method <code>hasFeature</code> on <a href="/en-US/docs/Web/API/Document/implementation">DOMImplementation</a>. Possible values defined within the core DOM specification are listed on the DOM Level 2 <a href="http://www.w3.org/TR/DOM-Level-2-Core/introduction.html#ID-Conformance">Conformance Section</a>.</dd>
 <dt><em>version</em></dt>
 <dd>Is a {{domxref("DOMString")}} containing the version number of the feature to test. In DOM Level 2, version 1, this is the string <code>2.0</code>. If the version is not specified, supporting any version of the feature will cause the method to return true.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;div id="doc"&gt;
&lt;/div&gt;

&lt;script&gt;
 // Get an element and check to see if its supports the DOM2 HTML Module.
 var main = document.getElementById('doc');
 var output = main.isSupported('HTML', '2.0');
&lt;/script&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM3 Core', 'core.html#Level-2-Core-Node-supports', 'Node.isSupported()')}}</td>
   <td>{{Spec2('DOM3 Core')}}</td>
   <td>No change from {{SpecName('DOM2 Core')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Core', 'core.html#Level-2-Core-Node-supports', 'Node.isSupported()')}}</td>
   <td>{{Spec2('DOM2 Core')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.isSupported")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Node")}} interface it belongs to.</li>
</ul>
